Ask Kevin is smarter.
OmniDimension
Knowledge base

Detach files from agent

Detach multiple knowledge-base files from an agent.

POST/knowledge_base/detach
Body
2 fields
·

List of knowledge-base file IDs to detach.

ID of the agent to detach files from.

curl -X POST 'https://backend.omnidim.io/api/v1/knowledge_base/detach' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "file_ids": [
    17686
  ],
  "agent_id": 158910
}'
Example response
{
  "success": true,
  "message": "1 files detached from agent successfully"
}

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token authentication. Obtain your API key from the OmniDimension dashboard.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json